#property show_inputs
//--------------------------------------------------------------------
extern int     stoploss       = 0,       // SL,  0,  SL  
               takeprofit     = 0,       // TP,  0,  TP  
               delta          = 50,      //   
               NumOrders      = 10,      //-  
               Magic          = 123456;  //  
extern double  Lot            = 1;       // 
extern double  LotGBP         = 0.85;    //  GBPUSD (   EURGBP)
extern double  FirstUp        = 0;       // 0,    
extern double  FirstDown      = 0;       // 0,    
extern double  K_Lot          = 1;       //   

//--------------------------------------------------------------------

//--------------------------------------------------------------------
int start()
{
   string Symb[3] = {"EURUSD","GBPUSD","EURGBP"};
   
   double SL,TP,Price;
   int    SPREAD=MarketInfo(Symbol(),MODE_SPREAD);
   
   double OpenPrice[3];
          OpenPrice[0]=MarketInfo(Symb[0],MODE_ASK);
          OpenPrice[1]=MarketInfo(Symb[1],MODE_BID);
          OpenPrice[2]=MarketInfo(Symb[2],MODE_BID);
   
   for (int i=1; i<=NumOrders; i++)
   {
      for (int z=0; z<3; z++)
         {
            if (z==1)
               {
                  double LOT=LotGBP;
               }
            else LOT=Lot;
            
            if (z==0)
               {
                  if (FirstUp==0) Price = NormalizeDouble(OpenPrice[z]+delta*i*Point,Digits);
                  else Price = NormalizeDouble(FirstUp+delta*(i-1)*Point,Digits);
                  if (takeprofit!=0) TP  = NormalizeDouble(Price + takeprofit*Point,Digits); else TP=0;
                  if (stoploss!=0)   SL  = NormalizeDouble(Price - (SPREAD+stoploss)*Point,Digits); else SL=0;     
                  OPENORDER_BUY_STOP (1,Symb[z],Price,SL,TP,i,LOT);
        
                  if (FirstDown==0) Price = NormalizeDouble(OpenPrice[z]-delta*i*Point,Digits);
                  else Price = NormalizeDouble(FirstDown-delta*(i-1)*Point,Digits);
                  if (takeprofit!=0) TP = NormalizeDouble(Price + takeprofit*Point,Digits); else TP=0;
                  if (stoploss!=0)   SL = NormalizeDouble(Price - (SPREAD+stoploss)*Point,Digits);  else SL=0;
                  OPENORDER_BUY_LIMIT (-1,Symb[z],Price,SL,TP,i,LOT);
               }
               else
               {
                  if (FirstUp==0) Price = NormalizeDouble(OpenPrice[z]+delta*i*Point,Digits);
                  else Price = NormalizeDouble(FirstUp+delta*(i-1)*Point,Digits);
                  if (takeprofit!=0) TP  = NormalizeDouble(Price - takeprofit*Point,Digits); else TP=0;
                  if (stoploss!=0)   SL  = NormalizeDouble(Price + (SPREAD+stoploss)*Point,Digits); else SL=0;     
                  OPENORDER_SELL_LIMIT (1,Symb[z],Price,SL,TP,i,LOT);
        
                  if (FirstDown==0) Price = NormalizeDouble(OpenPrice[z]-delta*i*Point,Digits);
                  else Price = NormalizeDouble(FirstDown-delta*(i-1)*Point,Digits);
                  if (takeprofit!=0) TP = NormalizeDouble(Price - takeprofit*Point,Digits); else TP=0;
                  if (stoploss!=0)   SL = NormalizeDouble(Price + (SPREAD+stoploss)*Point,Digits);  else SL=0;
                  OPENORDER_SELL_STOP (-1,Symb[z],Price,SL,TP,i,LOT);
               }
          }
             LOT=LOT*K_Lot;
   }
return(0);

}
//--------------------------------------------------------------------
void OPENORDER_BUY_STOP(int ord,string Smb,double Price,double SL,double TP,int i,double LOT)
{
   int error,err;
   while (true)
   {  error=true;
      error=OrderSend(Smb,OP_BUYSTOP,LOT,Price,3,SL,TP,"",Magic,0);
      
      if (error==-1)
      {  
         Print("Error  " ,GetLastError()," ",Smb);
         err++;Sleep(2000);RefreshRates();
      }
      if (error!=-1 || err >10) return;
   }
return;
}
//--------------------------------------------------------------------
void OPENORDER_BUY_LIMIT(int ord,string Smb,double Price,double SL,double TP,int i,double LOT)
{
   int error,err;
   while (true)
   {  error=true;
      error=OrderSend(Smb,OP_BUYLIMIT,LOT,Price,3,SL,TP,"",Magic,0);
      if (error==-1)
      {  
         Print("Error  " ,GetLastError()," ",Smb);
         err++;Sleep(2000);RefreshRates();
      }
      if (error!=-1 || err >10) return;
   }
return;
}     
//--------------------------------------------------------------------
//--------------------------------------------------------------------
void OPENORDER_SELL_LIMIT(int ord,string Smb,double Price,double SL,double TP,int i,double LOT)
{
   int error,err;
   while (true)
   {  error=true;
      error=OrderSend(Smb,OP_SELLLIMIT,LOT,Price,3,SL,TP,"",Magic,0);
      
      if (error==-1)
      {  
         Print("Error  " ,GetLastError()," ",Smb);
         err++;Sleep(2000);RefreshRates();
      }
      if (error!=-1 || err >10) return;
   }
return;
}
//--------------------------------------------------------------------
void OPENORDER_SELL_STOP(int ord,string Smb,double Price,double SL,double TP,int i,double LOT)
{
   int error,err;
   while (true)
   {  error=true;
      error=OrderSend(Smb,OP_SELLSTOP,LOT,Price,3,SL,TP,"",Magic,0);
      if (error==-1)
      {  
         Print("Error  " ,GetLastError()," ",Smb);
         err++;Sleep(2000);RefreshRates();
      }
      if (error!=-1 || err >10) return;
   }
return;
}     
//--------------------------------------------------------------------

